diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/propagation/model/channel-condition-model.h ns-3.44/src/propagation/model/channel-condition-model.h
--- ns-3.43/src/propagation/model/channel-condition-model.h	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/propagation/model/channel-condition-model.h	2025-03-09 16:55:49.687372200 -0700
@@ -22,9 +22,9 @@
 class MobilityModel;
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Carries information about the LOS/NLOS channel state
+ * @brief Carries information about the LOS/NLOS channel state
  *
  * Additional information about the channel condition can be aggregated to instances of
  * this class.
@@ -66,8 +66,8 @@
 
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -78,9 +78,9 @@
 
     /**
      * Constructor for the ChannelCondition class
-     * \param losCondition the LOS condition value
-     * \param o2iCondition the O2I condition value (by default is set to O2O)
-     * \param o2iLowHighCondition the O2I Low-High Building Penetration loss condition value (by
+     * @param losCondition the LOS condition value
+     * @param o2iCondition the O2I condition value (by default is set to O2O)
+     * @param o2iLowHighCondition the O2I Low-High Building Penetration loss condition value (by
      * default is set to LOW)
      */
     ChannelCondition(LosConditionValue losCondition,
@@ -96,7 +96,7 @@
      * Get the LosConditionValue containing the information about the LOS/NLOS
      * state of the channel
      *
-     * \return the LosConditionValue
+     * @return the LosConditionValue
      */
     LosConditionValue GetLosCondition() const;
 
@@ -104,7 +104,7 @@
      * Set the LosConditionValue with the information about the LOS/NLOS
      * state of the channel
      *
-     * \param losCondition the LosConditionValue
+     * @param losCondition the LosConditionValue
      */
     void SetLosCondition(LosConditionValue losCondition);
 
@@ -112,7 +112,7 @@
      * Get the O2iConditionValue containing the information about the O2I
      * state of the channel
      *
-     * \return the O2iConditionValue
+     * @return the O2iConditionValue
      */
     O2iConditionValue GetO2iCondition() const;
 
@@ -120,7 +120,7 @@
      * Set the O2iConditionValue containing the information about the O2I
      * state of the channel
      *
-     * \param o2iCondition the O2iConditionValue
+     * @param o2iCondition the O2iConditionValue
      */
     void SetO2iCondition(O2iConditionValue o2iCondition);
 
@@ -128,7 +128,7 @@
      * Get the O2iLowHighConditionValue containing the information about the O2I
      * building penetration losses (low or high)
      *
-     * \return the O2iLowHighConditionValue
+     * @return the O2iLowHighConditionValue
      */
     O2iLowHighConditionValue GetO2iLowHighCondition() const;
 
@@ -136,14 +136,14 @@
      * Set the O2iLowHighConditionValue containing the information about the O2I
      * building penetration losses (low or high)
      *
-     * \param o2iLowHighCondition the O2iLowHighConditionValue
+     * @param o2iLowHighCondition the O2iLowHighConditionValue
      */
     void SetO2iLowHighCondition(O2iLowHighConditionValue o2iLowHighCondition);
 
     /**
      * Return true if the channel condition is LOS
      *
-     * \return true if the channel condition is LOS
+     * @return true if the channel condition is LOS
      */
     bool IsLos() const;
 
@@ -154,44 +154,44 @@
      * vehicle. This case is represented as a separate channel condition (NLOSv),
      * use the method IsNlosv instead.
      *
-     * \return true if the channel condition is NLOS
+     * @return true if the channel condition is NLOS
      */
     bool IsNlos() const;
 
     /**
      * Return true if the channel condition is NLOSv
      *
-     * \return true if the channel condition is NLOSv
+     * @return true if the channel condition is NLOSv
      */
     bool IsNlosv() const;
 
     /**
      * Return true if the channel is outdoor-to-indoor
      *
-     * \return true if the channel is outdoor-to-indoor
+     * @return true if the channel is outdoor-to-indoor
      */
     bool IsO2i() const;
 
     /**
      * Return true if the channel is outdoor-to-outdoor
      *
-     * \return true if the channel is outdoor-to-outdoor
+     * @return true if the channel is outdoor-to-outdoor
      */
     bool IsO2o() const;
 
     /**
      * Return true if the channel is indoor-to-indoor
      *
-     * \return true if the channel is indoor-to-indoor
+     * @return true if the channel is indoor-to-indoor
      */
     bool IsI2i() const;
 
     /**
      * Return true if this instance is equivalent to the one passed as argument
      *
-     * \param losCondition the LOS condition of the other channel condition instance
-     * \param o2iCondition the 02I condition of the other channel condition instance
-     * \return true if the channel LOS and O2i conditions of the instance are equivalent to those
+     * @param losCondition the LOS condition of the other channel condition instance
+     * @param o2iCondition the 02I condition of the other channel condition instance
+     * @return true if the channel LOS and O2i conditions of the instance are equivalent to those
      * passed as arguments
      */
     bool IsEqual(LosConditionValue losCondition, O2iConditionValue o2iCondition) const;
@@ -206,18 +206,18 @@
 
     /**
      * Prints a LosConditionValue to output
-     * \param os the output stream
-     * \param cond the LosConditionValue
+     * @param os the output stream
+     * @param cond the LosConditionValue
      *
-     * \return a reference to the output stream
+     * @return a reference to the output stream
      */
     friend std::ostream& operator<<(std::ostream& os, LosConditionValue cond);
 };
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Models the channel condition
+ * @brief Models the channel condition
  *
  * Computes the condition of the channel between the transmitter and the
  * receiver
@@ -227,8 +227,8 @@
   public:
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -249,9 +249,9 @@
     /**
      * Computes the condition of the channel between a and b
      *
-     * \param a mobility model
-     * \param b mobility model
-     * \return the condition of the channel between a and b
+     * @param a mobility model
+     * @param b mobility model
+     * @return the condition of the channel between a and b
      */
     virtual Ptr<ChannelCondition> GetChannelCondition(Ptr<const MobilityModel> a,
                                                       Ptr<const MobilityModel> b) const = 0;
@@ -262,24 +262,24 @@
      * 'stream'. Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream the offset used to set the stream numbers
-     * \return the number of stream indices assigned by this model
+     * @param stream the offset used to set the stream numbers
+     * @return the number of stream indices assigned by this model
      */
     virtual int64_t AssignStreams(int64_t stream) = 0;
 };
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Models an always in-LoS condition model
+ * @brief Models an always in-LoS condition model
  */
 class AlwaysLosChannelConditionModel : public ChannelConditionModel
 {
   public:
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -300,9 +300,9 @@
     /**
      * Computes the condition of the channel between a and b, that will be always LoS
      *
-     * \param a mobility model
-     * \param b mobility model
-     * \return the condition of the channel between a and b, that will be always LoS
+     * @param a mobility model
+     * @param b mobility model
+     * @return the condition of the channel between a and b, that will be always LoS
      */
     Ptr<ChannelCondition> GetChannelCondition(Ptr<const MobilityModel> a,
                                               Ptr<const MobilityModel> b) const override;
@@ -313,24 +313,24 @@
      * 'stream'. Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream the offset used to set the stream numbers
-     * \return the number of stream indices assigned by this model
+     * @param stream the offset used to set the stream numbers
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream) override;
 };
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Models a never in-LoS condition model
+ * @brief Models a never in-LoS condition model
  */
 class NeverLosChannelConditionModel : public ChannelConditionModel
 {
   public:
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -351,9 +351,9 @@
     /**
      * Computes the condition of the channel between a and b, that will be always non-LoS
      *
-     * \param a mobility model
-     * \param b mobility model
-     * \return the condition of the channel between a and b, that will be always non-LoS
+     * @param a mobility model
+     * @param b mobility model
+     * @return the condition of the channel between a and b, that will be always non-LoS
      */
     Ptr<ChannelCondition> GetChannelCondition(Ptr<const MobilityModel> a,
                                               Ptr<const MobilityModel> b) const override;
@@ -364,24 +364,24 @@
      * 'stream'. Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream the offset used to set the stream numbers
-     * \return the number of stream indices assigned by this model
+     * @param stream the offset used to set the stream numbers
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream) override;
 };
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Models a never in-LoS condition model caused by a blocking vehicle
+ * @brief Models a never in-LoS condition model caused by a blocking vehicle
  */
 class NeverLosVehicleChannelConditionModel : public ChannelConditionModel
 {
   public:
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -403,9 +403,9 @@
     /**
      * Computes the condition of the channel between a and b, that will be always NLOSv
      *
-     * \param a mobility model
-     * \param b mobility model
-     * \return the condition of the channel between a and b, that will be always NLOSv
+     * @param a mobility model
+     * @param b mobility model
+     * @return the condition of the channel between a and b, that will be always NLOSv
      */
     Ptr<ChannelCondition> GetChannelCondition(Ptr<const MobilityModel> a,
                                               Ptr<const MobilityModel> b) const override;
@@ -416,16 +416,16 @@
      * 'stream'. Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream the offset used to set the stream numbers
-     * \return the number of stream indices assigned by this model
+     * @param stream the offset used to set the stream numbers
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream) override;
 };
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Base class for the 3GPP channel condition models
+ * @brief Base class for the 3GPP channel condition models
  *
  */
 class ThreeGppChannelConditionModel : public ChannelConditionModel
@@ -433,8 +433,8 @@
   public:
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -449,15 +449,15 @@
     ~ThreeGppChannelConditionModel() override;
 
     /**
-     * \brief Retrieve the condition of the channel between a and b.
+     * @brief Retrieve the condition of the channel between a and b.
      *
      * If the channel condition does not exists, the method computes it by calling
      * ComputeChannelCondition and stores it in a local cache, that will be updated
      * following the "UpdatePeriod" parameter.
      *
-     * \param a mobility model
-     * \param b mobility model
-     * \return the condition of the channel between a and b
+     * @param a mobility model
+     * @param b mobility model
+     * @return the condition of the channel between a and b
      */
     Ptr<ChannelCondition> GetChannelCondition(Ptr<const MobilityModel> a,
                                               Ptr<const MobilityModel> b) const override;
@@ -468,8 +468,8 @@
      * 'stream'. Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream the offset used to set the stream numbers
-     * \return the number of stream indices assigned by this model
+     * @param stream the offset used to set the stream numbers
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream) override;
 
@@ -479,18 +479,18 @@
      * GeocentricConstantPositionMobilityModel, and that the quantized
      * angle is in the expected range [10, 90].
      *
-     * \param a mobility model
-     * \param b mobility model
-     * \return the tuple [elevation angle, quantized elevation angle] between a and b
+     * @param a mobility model
+     * @param b mobility model
+     * @return the tuple [elevation angle, quantized elevation angle] between a and b
      */
     static std::tuple<double, double> GetQuantizedElevationAngle(Ptr<const MobilityModel> a,
                                                                  Ptr<const MobilityModel> b);
 
     /**
-     * \brief Computes the 2D distance between two 3D vectors
-     * \param a the first 3D vector
-     * \param b the second 3D vector
-     * \return the 2D distance between a and b
+     * @brief Computes the 2D distance between two 3D vectors
+     * @param a the first 3D vector
+     * @param b the second 3D vector
+     * @return the 2D distance between a and b
      */
     static double Calculate2dDistance(const Vector& a, const Vector& b);
 
@@ -515,9 +515,9 @@
      * This method computes the channel condition based on a probabilistic model
      * that is specific for the scenario of interest
      *
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return the channel condition
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return the channel condition
      */
     Ptr<ChannelCondition> ComputeChannelCondition(Ptr<const MobilityModel> a,
                                                   Ptr<const MobilityModel> b) const;
@@ -525,18 +525,18 @@
     /**
      * Compute the LOS probability.
      *
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return the LOS probability
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return the LOS probability
      */
     virtual double ComputePlos(Ptr<const MobilityModel> a, Ptr<const MobilityModel> b) const = 0;
 
     /**
      * Determines whether the channel condition is O2I or O2O
      *
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return the O2I channelcondition
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return the O2I channelcondition
      */
     virtual ChannelCondition::O2iConditionValue ComputeO2i(Ptr<const MobilityModel> a,
                                                            Ptr<const MobilityModel> b) const;
@@ -544,17 +544,17 @@
     /**
      * Compute the NLOS probability. By default returns 1 - PLOS
      *
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return the LOS probability
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return the LOS probability
      */
     virtual double ComputePnlos(Ptr<const MobilityModel> a, Ptr<const MobilityModel> b) const;
 
     /**
-     * \brief Returns a unique and reciprocal key for the channel between a and b.
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return channel key
+     * @brief Returns a unique and reciprocal key for the channel between a and b.
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return channel key
      */
     static uint32_t GetKey(Ptr<const MobilityModel> a, Ptr<const MobilityModel> b);
 
@@ -586,9 +586,9 @@
 };
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Computes the channel condition for the RMa scenario
+ * @brief Computes the channel condition for the RMa scenario
  *
  * Computes the channel condition following the specifications for the RMa
  * scenario reported in Table 7.4.2-1 of 3GPP TR 38.901
@@ -598,8 +598,8 @@
   public:
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -618,17 +618,17 @@
      * Compute the LOS probability as specified in Table 7.4.2-1 of 3GPP TR 38.901
      * for the RMa scenario.
      *
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return the LOS probability
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return the LOS probability
      */
     double ComputePlos(Ptr<const MobilityModel> a, Ptr<const MobilityModel> b) const override;
 };
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Computes the channel condition for the UMa scenario
+ * @brief Computes the channel condition for the UMa scenario
  *
  * Computes the channel condition following the specifications for the UMa
  * scenario reported in Table 7.4.2-1 of 3GPP TR 38.901
@@ -638,8 +638,8 @@
   public:
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -658,17 +658,17 @@
      * Compute the LOS probability as specified in Table 7.4.2-1 of 3GPP TR 38.901
      * for the UMa scenario.
      *
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return the LOS probability
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return the LOS probability
      */
     double ComputePlos(Ptr<const MobilityModel> a, Ptr<const MobilityModel> b) const override;
 };
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Computes the channel condition for the UMi-Street canyon scenario
+ * @brief Computes the channel condition for the UMi-Street canyon scenario
  *
  * Computes the channel condition following the specifications for the
  * UMi-Street canyon scenario reported in Table 7.4.2-1 of 3GPP TR 38.901
@@ -678,8 +678,8 @@
   public:
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -698,17 +698,17 @@
      * Compute the LOS probability as specified in Table 7.4.2-1 of 3GPP TR 38.901
      * for the UMi-Street Canyon scenario.
      *
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return the LOS probability
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return the LOS probability
      */
     double ComputePlos(Ptr<const MobilityModel> a, Ptr<const MobilityModel> b) const override;
 };
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Computes the channel condition for the Indoor Mixed Office scenario
+ * @brief Computes the channel condition for the Indoor Mixed Office scenario
  *
  * Computes the channel condition following the specifications for the
  * Indoor Mixed Office scenario reported in Table 7.4.2-1 of 3GPP TR 38.901
@@ -718,8 +718,8 @@
   public:
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -738,17 +738,17 @@
      * Compute the LOS probability as specified in Table 7.4.2-1 of 3GPP TR 38.901
      * for the Indoor Mixed Office scenario.
      *
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return the LOS probability
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return the LOS probability
      */
     double ComputePlos(Ptr<const MobilityModel> a, Ptr<const MobilityModel> b) const override;
 };
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Computes the channel condition for the Indoor Open Office scenario
+ * @brief Computes the channel condition for the Indoor Open Office scenario
  *
  * Computes the channel condition following the specifications for the
  * Indoor Open Office scenario reported in Table 7.4.2-1 of 3GPP TR 38.901
@@ -758,8 +758,8 @@
   public:
     /**
      * Get the type ID.
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -778,17 +778,17 @@
      * Compute the LOS probability as specified in Table 7.4.2-1 of 3GPP TR 38.901
      * for the Indoor Open Office scenario.
      *
-     * \param a tx mobility model
-     * \param b rx mobility model
-     * \return the LOS probability
+     * @param a tx mobility model
+     * @param b rx mobility model
+     * @return the LOS probability
      */
     double ComputePlos(Ptr<const MobilityModel> a, Ptr<const MobilityModel> b) const override;
 };
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Computes the channel condition for the NTN Dense Urban Scenario
+ * @brief Computes the channel condition for the NTN Dense Urban Scenario
  *
  * Computes the channel condition following the specifications for the
  * Indoor Mixed Office scenario reported in Table 6.6.1-1 of 3GPP TR 38.811
@@ -798,7 +798,7 @@
   public:
     /**
      *  Register this type.
-     *  \return The object TypeId.
+     *  @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -814,7 +814,7 @@
 
   private:
     /**
-     * \copydoc ThreeGppChannelConditionModel::ComputePlos
+     * @copydoc ThreeGppChannelConditionModel::ComputePlos
      *
      * Compute the LOS probability as specified in Table 6.6.1-1 of 3GPP TR 38.811
      * for the NTN Dense Urban scenario.
@@ -823,9 +823,9 @@
 };
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Computes the channel condition for the NTN Urban Scenario
+ * @brief Computes the channel condition for the NTN Urban Scenario
  *
  * Computes the channel condition following the specifications for the
  * Indoor Mixed Office scenario reported in Table 6.6.1-1 of 3GPP TR 38.811
@@ -835,7 +835,7 @@
   public:
     /**
      *  Register this type.
-     *  \return The object TypeId.
+     *  @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -851,7 +851,7 @@
 
   private:
     /**
-     * \copydoc ThreeGppChannelConditionModel::ComputePlos
+     * @copydoc ThreeGppChannelConditionModel::ComputePlos
      *
      * Compute the LOS probability as specified in Table 6.6.1-1 of 3GPP TR 38.811
      * for the NTN Urban scenario.
@@ -860,9 +860,9 @@
 };
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Computes the channel condition for the NTN Suburban Scenario
+ * @brief Computes the channel condition for the NTN Suburban Scenario
  *
  * Computes the channel condition following the specifications for the
  * Indoor Mixed Office scenario reported in Table 6.6.1-1 of 3GPP TR 38.811
@@ -872,7 +872,7 @@
   public:
     /**
      *  Register this type.
-     *  \return The object TypeId.
+     *  @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -888,7 +888,7 @@
 
   private:
     /**
-     * \copydoc ThreeGppChannelConditionModel::ComputePlos
+     * @copydoc ThreeGppChannelConditionModel::ComputePlos
      *
      * Compute the LOS probability as specified in Table 6.6.1-1 of 3GPP TR 38.811
      * for the NTN Suburban scenario.
@@ -897,9 +897,9 @@
 };
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief Computes the channel condition for the NTN Rural Scenario
+ * @brief Computes the channel condition for the NTN Rural Scenario
  *
  * Computes the channel condition following the specifications for the
  * Indoor Mixed Office scenario reported in Table 6.6.1-1 of 3GPP TR 38.811
@@ -909,7 +909,7 @@
   public:
     /**
      *  Register this type.
-     *  \return The object TypeId.
+     *  @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -925,7 +925,7 @@
 
   private:
     /**
-     * \copydoc ThreeGppChannelConditionModel::ComputePlos
+     * @copydoc ThreeGppChannelConditionModel::ComputePlos
      *
      * Compute the LOS probability as specified in Table 6.6.1-1 of 3GPP TR 38.811
      * for the NTN Rural scenario.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/propagation/model/cost231-propagation-loss-model.h ns-3.44/src/propagation/model/cost231-propagation-loss-model.h
--- ns-3.43/src/propagation/model/cost231-propagation-loss-model.h	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/propagation/model/cost231-propagation-loss-model.h	2025-03-09 16:55:49.687372200 -0700
@@ -18,9 +18,9 @@
 {
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- *  \brief The COST-Hata-Model is the most often cited of the COST 231 models.
+ *  @brief The COST-Hata-Model is the most often cited of the COST 231 models.
  *
  *  Also called the Hata Model PCS Extension, it is a radio propagation model
  *  that extends the Hata Model (which in turn is based on the Okumura Model)
@@ -41,8 +41,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     Cost231PropagationLossModel();
@@ -53,67 +53,67 @@
 
     /**
      * Get the propagation loss
-     * \param a the mobility model of the source
-     * \param b the mobility model of the destination
-     * \returns the propagation loss (in dBm)
+     * @param a the mobility model of the source
+     * @param b the mobility model of the destination
+     * @returns the propagation loss (in dBm)
      */
     double GetLoss(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const;
 
     /**
      * Set the BS antenna height
-     * \param height BS antenna height [m]
+     * @param height BS antenna height [m]
      */
     void SetBSAntennaHeight(double height);
     /**
      * Set the SS antenna height
-     * \param height SS antenna height [m]
+     * @param height SS antenna height [m]
      */
     void SetSSAntennaHeight(double height);
 
     /**
      * Set the wavelength
-     * \param lambda the wavelength
+     * @param lambda the wavelength
      */
     void SetLambda(double lambda);
     /**
      * Set the wavelength
-     * \param frequency the signal frequency [Hz]
-     * \param speed the signal speed [m/s]
+     * @param frequency the signal frequency [Hz]
+     * @param speed the signal speed [m/s]
      */
     void SetLambda(double frequency, double speed);
     /**
      * Set the minimum model distance
-     * \param minDistance the minimum model distance
+     * @param minDistance the minimum model distance
      */
     void SetMinDistance(double minDistance);
     /**
      * Get the BS antenna height
-     * \returns BS antenna height [m]
+     * @returns BS antenna height [m]
      */
     double GetBSAntennaHeight() const;
     /**
      * Get the SS antenna height
-     * \returns SS antenna height [m]
+     * @returns SS antenna height [m]
      */
     double GetSSAntennaHeight() const;
     /**
      * Get the minimum model distance
-     * \returns the minimum model distance
+     * @returns the minimum model distance
      */
     double GetMinDistance() const;
     /**
      * Get the wavelength
-     * \returns the wavelength
+     * @returns the wavelength
      */
     double GetLambda() const;
     /**
      * Get the shadowing value
-     * \returns the shadowing value
+     * @returns the shadowing value
      */
     double GetShadowing() const;
     /**
      * Set the shadowing value
-     * \param shadowing the shadowing value
+     * @param shadowing the shadowing value
      */
     void SetShadowing(double shadowing);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/propagation/model/itu-r-1411-los-propagation-loss-model.h ns-3.44/src/propagation/model/itu-r-1411-los-propagation-loss-model.h
--- ns-3.43/src/propagation/model/itu-r-1411-los-propagation-loss-model.h	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/propagation/model/itu-r-1411-los-propagation-loss-model.h	2025-03-09 16:55:49.687372200 -0700
@@ -17,9 +17,9 @@
 {
 
 /**
- * \ingroup propagation
+ * @ingroup propagation
  *
- * \brief the ITU-R 1411 LOS propagation model
+ * @brief the ITU-R 1411 LOS propagation model
  *
  * This class implements the ITU-R 1411 LOS propagation model for
  * Line-of-Sight (LoS) short range outdoor communication in the
@@ -31,8 +31,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -46,17 +46,17 @@
     /**
      * Set the operating frequency
      *
-     * \param freq the frequency in Hz
+     * @param freq the frequency in Hz
      */
     void SetFrequency(double freq);
 
     /**
      *
      *
-     * \param a the first mobility model
-     * \param b the second mobility model
+     * @param a the first mobility model
+     * @param b the second mobility model
      *
-     * \return the loss in dBm for the propagation between
+     * @return the loss in dBm for the propagation between
      * the two given mobility models
      */
     double GetLoss(Ptr<MobilityModel> a, Ptr<MobilityModel> b) const;
